Missing nowiki escaping when single quotes wrap new i/b tags
Closed, ResolvedPublic

Description

Reported at: https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback#Link_formatting_trick

Simplified test cases here:

[subbu@earth lib] echo "[[Foo|'foo']]" | node parse | sed "s/foo/<i>foo<\/i>/g;" | node parse --html2wt
[[Foo|'''foo''']]

[subbu@earth lib] echo "[[Foo|'foo']]" | node parse | sed "s/foo/<b>foo<\/b>/g;" | node parse --html2wt
[[Foo|''''foo'''']]


Version: unspecified
Severity: normal

bzimport added a project: Parsoid-Serializer.Via ConduitNov 22 2014, 1:52 AM
bzimport set Reference to bz52103.
ssastry created this task.Via LegacyJul 26 2013, 4:55 PM
gerritbot added a comment.Via ConduitJul 26 2013, 8:36 PM

Change 76162 had a related patch set uploaded by Subramanya Sastry:
(Bug 52103) <nowiki/> escape when single quotes wrap new i/b tags

https://gerrit.wikimedia.org/r/76162

gerritbot added a comment.Via ConduitJul 27 2013, 5:32 PM

Change 76162 merged by jenkins-bot:
(Bug 52103) <nowiki/> escape when single quotes wrap new i/b tags

https://gerrit.wikimedia.org/r/76162

gerritbot added a comment.Via ConduitJul 29 2013, 4:04 AM

Change 76467 had a related patch set uploaded by Subramanya Sastry:
Take #2: (Bug 52103) nowiki escaping when quotes surround i/b tags

https://gerrit.wikimedia.org/r/76467

gerritbot added a comment.Via ConduitJul 29 2013, 2:31 PM

Change 76467 merged by jenkins-bot:
Take #2: (Bug 52103) nowiki escaping when quotes surround i/b tags

https://gerrit.wikimedia.org/r/76467

ssastry added a comment.Via ConduitJul 31 2013, 9:25 PM

Deployed and tested in production.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.